add extra-PPAs support

Bug #1334374 reported by Colin Watson on 2014-06-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
livecd-rootfs (Ubuntu)
High
Colin Watson
Trusty
High
Colin Watson

Bug Description

I recently added support to livecd-rootfs to accept a option to build an image against PPAs as well as the primary archive:

livecd-rootfs (2.213) utopic; urgency=medium

  * The EXTRA_ARCHIVES environment variable defined in 2.212 doesn't quite
    work properly because it doesn't allow for signing key configuration.
    Rename it to the more domain-specific EXTRA_PPAS (which is now a
    space-separated sequence of <ppa-owner>/<ppa-name> pairs), and fetch
    signing keys for those from Launchpad using python3-software-properties.

 -- Colin Watson <email address hidden> Mon, 19 May 2014 15:28:35 +0100

livecd-rootfs (2.212) utopic; urgency=medium

  * live-build/auto/config: If EXTRA_ARCHIVES is set in the environment,
    dump its value into config/archives/extra-archives.list.chroot and
    config/archives/extra-archives.list.binary. This makes it easier for a
    builder to build an image against an additional PPA.

 -- Colin Watson <email address hidden> Mon, 19 May 2014 12:14:28 +0100

This cooperates with launchpad-buildd: https://code.launchpad.net/~cjwatson/launchpad-buildd/livefs-extra-ppas/+merge/220109

It would be helpful to backport this to trusty so that we can build images there with additional PPAs too.

Colin Watson (cjwatson) on 2014-06-25
Changed in livecd-rootfs (Ubuntu):
status: New → Fix Released
Changed in livecd-rootfs (Ubuntu Trusty):
status: New → Triaged
importance: Undecided → High
Changed in livecd-rootfs (Ubuntu):
importance: Undecided → High
assignee: nobody → Colin Watson (cjwatson)
Changed in livecd-rootfs (Ubuntu Trusty):
assignee: nobody → Colin Watson (cjwatson)
milestone: none → ubuntu-14.04.1
Colin Watson (cjwatson) on 2014-06-26
Changed in livecd-rootfs (Ubuntu Trusty):
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package livecd-rootfs - 2.208.4

---------------
livecd-rootfs (2.208.4) trusty; urgency=medium

  * Use the correct metapackage for edubuntu-desktop, and add HWE_HINTS
  * Add KUBUNTU_HWE_HINTS and populate to work around task->meta change
  * Revert lubuntu to using tasks for minimal and standard, since their
    unique snowflake apt --no-install-recommends setup breaks switching
  * Add XUBUNTU_HWE_HINTS and populate to work around task->meta change
  * Add UBUNTUGNOME_HWE_HINTS and populate it skip using unity packages
  * Add LUBUNTU_HWE_HINTS and populate to work around task->meta change
  * Reuse XUBUNTU_HWE_HINTS for MYTHBUNTU_HWE_HINTS and add some tweaks
  * Also reuse XUBUNTU_HWE_HINTS for UBUNTUSTUDIO_HWE_HINTS with tweaks
 -- Adam Conrad <email address hidden> Wed, 04 Feb 2015 04:42:54 -0700

Changed in livecd-rootfs (Ubuntu Trusty):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers